Skip to main content
GET
/
v1
/
catalog_entities
/
{id}
Retrieves a Catalog Entity
curl --request GET \
  --url https://api.rootly.com/v1/catalog_entities/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "<string>",
    "type": "catalog_entities",
    "attributes": {
      "name": "<string>",
      "position": 123,
      "created_at": "<string>",
      "updated_at": "<string>",
      "description": "<string>",
      "fields": [
        {
          "catalog_field_id": "<string>",
          "value": "<string>"
        }
      ]
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
required

Resource UUID

Query Parameters

include
enum<string>

comma separated if needed. eg: catalog,properties

Available options:
catalog,
properties

Response

catalog_entity found by slug

data
object
required